com.jscape.inet.nntp

## Class NntpAdapter

- java.lang.Object
- - com.jscape.inet.nntp.NntpAdapter

- All Implemented Interfaces:
    NntpListener, java.util.EventListener

      public class NntpAdapter
      extends java.lang.Object
      implements NntpListener

  Implements methods for capturing events sourced from Nntp class. This class is intended to provide vertical compatibility with NntpListener interface. Typicaly your application will use this class instead of NntpListener interface to capture the following events :
  NntpConnectedEvent
  NntpDisconnectedEvent
  NntpArticlePostedEvent
  NntpArticleEvent
  NntpArticleHeaderEvent
  NntpProgressEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NntpAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `articleHeaderRetrieved(NntpArticleHeaderEvent event)` Invoked when an article header is retrieved from NNTP server.
    `void` | `articlePosted(NntpArticlePostedEvent event)` Invoked when an article is posted to NNTP server.
    `void` | `articleRetrieved(NntpArticleEvent event)` Invoked when an article is retrieved from NNTP server.
    `void` | `connected(NntpConnectedEvent event)` Invoked when connection to NNTP server is established.
    `void` | `disconnected(NntpDisconnectedEvent event)` Invoked when connection to NNTP server is released.
    `void` | `progress(NntpProgressEvent event)` Invoked when performing lengthy Nntp operations.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NntpAdapter

          public NntpAdapter()

  - ### Method Detail

    - #### connected

          public void connected(NntpConnectedEvent event)

      Invoked when connection to NNTP server is established.
      Specified by:
        `connected` in interface `NntpListener`
      Parameters:
        `event` - a `NntpConnectedEvent`
      See Also:
        `NntpConnectedEvent`

    - #### disconnected

          public void disconnected(NntpDisconnectedEvent event)

      Invoked when connection to NNTP server is released.
      Specified by:
        `disconnected` in interface `NntpListener`
      Parameters:
        `event` - a `NntpDisconnectedEvent`
      See Also:
        `NntpDisconnectedEvent`

    - #### articlePosted

          public void articlePosted(NntpArticlePostedEvent event)

      Invoked when an article is posted to NNTP server.
      Specified by:
        `articlePosted` in interface `NntpListener`
      Parameters:
        `event` - a `NntpArticlePostedEvent`
      See Also:
        `NntpArticlePostedEvent`

    - #### articleRetrieved

          public void articleRetrieved(NntpArticleEvent event)

      Invoked when an article is retrieved from NNTP server.
      Specified by:
        `articleRetrieved` in interface `NntpListener`
      Parameters:
        `event` - a `NntpArticleEvent`
      See Also:
        `NntpArticleEvent`

    - #### articleHeaderRetrieved

          public void articleHeaderRetrieved(NntpArticleHeaderEvent event)

      Invoked when an article header is retrieved from NNTP server.
      Specified by:
        `articleHeaderRetrieved` in interface `NntpListener`
      Parameters:
        `event` - a `NntpArticleHeaderEvent`
      See Also:
        `NntpArticleHeaderEvent`

    - #### progress

          public void progress(NntpProgressEvent event)

      Invoked when performing lengthy Nntp operations. For example: retrieving a long list of groups or headers.
      Specified by:
        `progress` in interface `NntpListener`
      Parameters:
        `event` - a `NntpProgressEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved